USE [COWS]
GO

/****** Object:  Table [dbo].[PS_REQ_HDR_QUEUE]    Script Date: 11/08/2016 09:34:11 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[PS_REQ_HDR_QUEUE](
	[REQ_HDR_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[ORDR_ID] [int] NOT NULL,
	[REQSTN_NBR] [varchar](10) NOT NULL,
	[CUST_ELID] [varchar](10) NULL,
	[DLVY_CLLI] [varchar](10) NULL,
	[DLVY_NME] [varchar](30) NULL,
	[DLVY_ADDR1] [varchar](35) NULL,
	[DLVY_ADDR2] [varchar](35) NULL,
	[DLVY_ADDR3] [varchar](35) NULL,
	[DLVY_ADDR4] [varchar](35) NULL,
	[DLVY_CTY] [varchar](30) NULL,
	[DLVY_CNTY] [varchar](3) NULL,
	[DLVY_ST] [varchar](2) NULL,
	[DLVY_ZIP] [varchar](12) NULL,
	[DLVY_PHN_NBR] [varchar](24) NULL,
	[INST_CLLI] [varchar](10) NULL,
	[MRK_PKG] [varchar](20) NULL,
	[REQSTN_DT] [datetime] NULL,
	[REF_NBR] [varchar](12) NULL,
	[SHIP_CMMTS] [varchar](529) NULL,
	[RFQ_INDCTR] [varchar](1) NULL,
	[REC_STUS_ID] [tinyint] NULL,
	[CREAT_DT] [datetime] NULL,
	[SENT_DT] [datetime] NULL,
	[DLVY_BLDG] [varchar](10) NULL,
	[DLVY_FLR] [varchar](5) NULL,
	[DLVY_RM] [varchar](5) NULL,
	[CSG_LVL] [varchar](5) NULL,
	[BATCH_SEQ] [int] NULL,
 CONSTRAINT [PK_PS_REQ_HDR] PRIMARY KEY CLUSTERED 
(
	[REQ_HDR_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY],
 CONSTRAINT [UX01_PS_REQ_HDR] UNIQUE NONCLUSTERED 
(
	[ORDR_ID] ASC,
	[REQSTN_NBR] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[PS_REQ_HDR_QUEUE] ADD  DEFAULT ((1)) FOR [REC_STUS_ID]
GO

ALTER TABLE [dbo].[PS_REQ_HDR_QUEUE] ADD  DEFAULT (getdate()) FOR [CREAT_DT]
GO


